Bug 1420451 - revert Use stashed volume connector in _local_cleanup_bdm_volumes from openstack-nova-2015.1.4-28.el7ost
Summary: revert Use stashed volume connector in _local_cleanup_bdm_volumes from openst...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 7.0 (Kilo)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: async
: 7.0 (Kilo)
Assignee: Lee Yarwood
QA Contact: Prasanth Anbalagan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-08 16:51 UTC by Lee Yarwood
Modified: 2020-12-14 08:08 UTC (History)
11 users (show)

Fixed In Version: openstack-nova-2015.1.4-32.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 23:00:48 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0282 0 normal SHIPPED_LIVE Moderate: openstack-cinder, openstack-glance, and openstack-nova security update 2017-02-16 03:52:44 UTC

Description Lee Yarwood 2017-02-08 16:51:34 UTC
Description of problem:

bug 1351662 (openstack-nova-2015.1.4-28.el7ost) mistakenly backported I9f9ead51238e27fa45084c8e3d3edee76a8b0218 [1] to OSP 7 assuming that a required dependency in the form of I793f2996fc0af1c321a240ad9348dc9bce816030 [2] had also previously been backported. However this required change had itself been reverted as part of bug 1331299 after it was found to cause additional issues. We should revert I9f9ead51238e27fa45084c8e3d3edee76a8b0218 ASAP.

[1] https://review.openstack.org/#/c/257853/
[2] https://review.openstack.org/#/c/266095/
[3] https://bugzilla.redhat.com/show_bug.cgi?id=1331299#c6

Version-Release number of selected component (if applicable):
openstack-nova-2015.1.4-28.el7ost

How reproducible:
Always

Steps to Reproduce:
1. Launch and then shutdown an instance.
2. Shutdown the compute service hosting the instance.
3. Delete the instance.

Actual results:
_local_cleanup_bdm_volumes is unable to find a valid connector and thus call terminate_connection for volumes located on down compute node. Further an exception is swallowed when calling detach with an incorrect number of arguments.

Expected results:
No attempt made to terminate_connection for volumes on down compute node as I9f9ead51238e27fa45084c8e3d3edee76a8b0218 has been reverted.

Additional info:

Comment 5 Prasanth Anbalagan 2017-02-13 13:08:24 UTC
Ok. Will mark this bug as VERIFIED since steps 1 to 5 verifies this bug.

Comment 7 errata-xmlrpc 2017-02-15 23:00:48 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0282.html


Note You need to log in before you can comment on or make changes to this bug.